# 
## GIT 操作相关
* [开始使用 git](git/start.md)

* [优雅的提交你的 Git Commit Message](https://zhuanlan.zhihu.com/p/34223150)

* [Git 工作流程 - 阮一峰](http://www.ruanyifeng.com/blog/2015/12/git-workflow.html)  
着重了解 “四、Gitlab flow”

* [不要把配置文件放到你的 Git 代码仓库](https://www.oschina.net/translate/dont-include-configs-in-your-git-repos)

* [使用 rebase 打造可读的 git graph](git/rebase.md)


### GIT提交类型约定:

```
feat: 新功能、新特性
fix: 修改 bug
perf: 更改代码，以提高性能（在不影响代码内部行为的前提下，对程序性能进行优化）
refactor: 代码重构（重构，在不影响代码内部行为、功能下的代码修改）
docs: 文档修改
style: 代码格式修改, 注意不是 css 修改（例如分号修改）
test: 测试用例新增、修改
build: 影响项目构建或依赖项修改
revert: 恢复上一次提交
ci: 持续集成相关文件修改
chore: 其他修改（不在上述类型中的修改）
wip: Work-In-Progress 未完成开发中提交(不能在master中出现，功能完成后全部此类提交squash到一个commit中)
workflow: 工作流相关文件修改
release: 发布新版本
```

## 前端相关

* [vue官方风格指南](https://cn.vuejs.org/style-guide/)
* [vue-element-admin 风格指南](https://panjiachen.github.io/vue-element-admin-site/zh/guide/advanced/style-guide.html)
* [开发约定](vue.md) 主要看这个

## 后端相关

* [实效Go编程](https://go-zh.org/doc/effective_go.html)
* [开发约定](go.md)  主要看这个
