# vue约定规范

* ##### 代码风格配置：
```
* 使用element 框架时，eslint配置使用："eslint-plugin-vue",默认element-admin框架已完成配置
大部分规则也都配置在了eslint-plugin-vue之中，当没有遵循规则的时候会报错
* 单独安装: npm install eslint-plugin-vue -D
* 使用quasar框架时创建(npm quasar create)时已完成配置
* 提交npm lint检查代码通过后再提交代码, 也可以添加husky检查，但过于强制可以熟悉后再使用
```

* ##### vue3 统一使用setup风格,更简洁易明
```
<!-- js -->
<script setup>

<!-- ts -->
<script setup ts>
```

* ##### 推荐使用Typescript/jsdoc开发

* ##### 组件、属性、事件、插槽的命名使用驼峰命名法，其中组件名首字母大写，调用时均使用小写中划线方式，如：
```
组件命名: MyComponent   

组件的属性命名: myProperty

组件的事件命名: myEvent

组件的插槽命名: mySlot

完整示例:

<my-component :my-property="value" @my-event="handleMyEvent">
    <template v-slot:my-slot> </template> 
</my-component>

```

* ##### 待补充
